function TTCF(I)
% ---
% --- TTCF calculates the two time correlation function
% ---
% --- I should be a 2-D matrix of this form : [pixel,t]
% ---
% ---
% --- Michael Sprung
% --- Rev 1.0 $ 2006/11/21 $
% --- 


% =========================================================================
% --- get pixel and time dimensions from input matrix
% =========================================================================
npixel = size(I,1)                                                         ; % get the number of pixels
ntimes = size(I,2)                                                         ; % get the number of times
% =========================================================================
% --- end of get pixel and time dimensions from input matrix
% =========================================================================


% =========================================================================
% --- initialize output tensors
% =========================================================================

% =========================================================================
% --- end of initializing output tensors
% =========================================================================


% =========================================================================
% --- main loop
% =========================================================================
for i = 1 : ntimes                                                           % 1st loop over all times
    aIt(i,:)  = aIt(i,:)  + I(:,i)                                         ;
    aItt(i,:) = aItt(i,:) + I(:,i) .* I(:,i)                               ;
end
for i = 1 : ntimes                                                           % 1st loop over all times
    for j = 1 : ntimes                                                       % 2nd loop over all times
        aIt1t2(i,j,:) = aIt1t2(i,j,:) + I(:,i).*I(:,j)                     ;
    end
end
for i = 1 : ntimes                                                           % 1st loop over all times
    for j = 1 : ntimes                                                       % 2nd loop over all times

    end
end
% =========================================================================
% --- end of main loop
% =========================================================================


% ---
% EOF
